__gnu_cxx::_Rope_char_ref_proxy(3)

NAME
__gnu_cxx::_Rope_char_ref_proxy -

SYNOPSIS

Detailed Description

  template<class _CharT, class _Alloc> class __gnu_cxx::_Rope_char_ref_proxy< _CharT, _Alloc >

Definition at line 928 of file rope.

  Public Member Functions
_Rope_char_ref_proxy (_My_rope *__r, size_t __p, _CharT __c)
_Rope_char_ref_proxy (const _Rope_char_ref_proxy &__x)
_Rope_char_ref_proxy (_My_rope *__r, size_t __p)
_Rope_char_ptr_proxy< _CharT, _Alloc > operator & () const
operator _CharT () const
_Rope_char_ref_proxy & operator= (const _Rope_char_ref_proxy &__c)
_Rope_char_ref_proxy & operator= (_CharT __c)

  Friends
class _Rope_char_ptr_proxy< _CharT, _Alloc >
class _Rope_iterator< _CharT, _Alloc >
class rope< _CharT, _Alloc >

Author

Generated automatically by Doxygen for libstdc++ from the source code.